-------------------------------------------------------------------------------
-- English localization (Default)
-------------------------------------------------------------------------------

-- Bindings
getfenv()["BINDING_HEADER_XBUFFBAR_TITLE"]  = "XBar";
getfenv()["BINDING_NAME_XBUFFBAR_SHOWHIDE"] = "Show/hide XBuffBar";

-- Most of these buffs affect a party.  Some buffs that only affect the caster are included
-- if the class only has a few of them.  Warlocks and Rogues have so many other abilities
-- they will be in a separate bar.

-- Buffs
getfenv()["XBuffBarSpells"] = {
	-- Death Knight (8)
	"#Death Knight",
	"Horn of Winter",
	"Path of Frost",
	"Unbreakable Armor",
	"Anti-Magic Zone",
	"Bone Shield",
	"Dancing Rune Weapon",
	"Empower Rune Weapon",
	-- Druid Buffs (4)
	"#Druid",
	"Mark of the Wild",
	"Gift of the Wild",
	"Thorns",
	"Tiger's Fury",
	-- Hunter Buffs (0)
	-- These were moved to XAspectBar
	-- Mage Buffs (13)
	"#Mage",
	"Arcane Intellect",
	"Dalaran Intellect",
	"Arcane Brilliance",
	"Dalaran Brilliance",
	"Fire Ward",
	"Frost Ward",
	"Frost Armor",
	"Ice Armor",
	"Mage Armor",
	"Molten Armor",
	"Mana Shield",
	"Amplify Magic",
	"Dampen Magic",
	-- Pally buffs (13)
	"#Paladin",
	"Hand of Protection",
	"Hand of Freedom",
    "Hand of Sacrifice",
	"Hand of Salvation",
	"Blessing of Might",
	"Blessing of Wisdom",
	"Blessing of Kings",
	"Blessing of Sanctuary",
	"Greater Blessing of Might",
	"Greater Blessing of Wisdom",
	"Greater Blessing of Kings",
	"Greater Blessing of Sanctuary",
	"Righteous Fury",
	-- Priest Buffs (14)
	"#Priest",
	"Shadowform",
	"Inner Fire",
	"Power Word: Fortitude",
	"Divine Spirit",
	"Power Word: Shield",
	"Shadow Protection",
	"Shadowguard",
	"Hymn of Hope",
	"Fear Ward",
	"Power Infusion",
	"Pain Suppression",
	"Prayer of Fortitude",
	"Prayer of Spirit",
	"Prayer of Shadow Protection",
	-- Rogue Buffs (0)
	-- Shaman buffs (12)
	"#Shaman",
	"Rockbiter Weapon",
	"Flametongue Weapon",
	"Frostbrand Weapon",
	"Windfury Weapon",
	"Earthliving Weapon",
	"Lightning Shield",
	"Earth Shield",
	"Water Shield",
	"Water Walking",
	"Water Breathing",
	"Bloodlust",
	"Heroism",
	-- Warlock Buffs (5)
	"#Warlock",
	"Demon Skin",
	"Demon Armor",
	"Fel Armor",
	"Unending Breath",
	"Detect Invisibility",
	-- Warrior Buffs (14)
	"#Warrior",
	"Battle Shout",
	"Demoralizing Shout",
	"Intimidating Shout",
	"Challenging Shout",
	"Commanding Shout",
	"Piercing Howl",
	"Spell Reflection",
	"Shield Wall",
	"Last Stand",
	"Intervene",
	"Retaliation",
	"Recklessness",
	"Enraged Regeneration",
	"Vigilance",
};

-- Maximum bar size will be auto-calculated in the main section

local i,v;

-- Auto-translate the spells
if (GetLocale() ~= "enUS") and (GetLocale() ~= "enGB") then
	if getfenv()["XBARLOCALIZER"] then
		for i,v in pairs(getfenv()["XBuffBarSpells"]) do
			if strsub(getfenv()["XBuffBarSpells"][i],1,1)=="#" then
				getfenv()["XBuffBarSpells"][i]="#"..XBar_BabbleClass(strsub(getfenv()["XBuffBarSpells"][i],2));
			else
				getfenv()["XBuffBarSpells"][i]=XBar_BabbleSpell(getfenv()["XBuffBarSpells"][i]);
			end
		end
	else
		DEFAULT_CHAT_FRAME:AddMessage("XBarLocalizer not loaded.");
	end
end