--This is the internal name of the mod.
local XBARMOD="XPetStuffBar";
local dbver="2";

--Default settings and other info about the mod
getfenv()["XBarModData"][XBARMOD]={
	----REQUIRED VALUES----
	["nbuttons"]=0,
	["dbver"]=dbver,
	["dhorizontal"]=true,
	["dhidebar"]=false,
	["dorder"]="az",
	["dscale"]=1,
	["dtooltips"]=true,
	["booktype"]=BOOKTYPE_SPELL,
	["enabled"]=false,
	["nchecks"]=1,
	["check1"]="XPBar",
	["dcheck1"]=true,
	["nsliders"]=0,
	["ftexint"]=nil,
	["foptioncb"]=XBARMOD.."_OptionCB",
	["fbuttoncb"]=nil,
	["fbuttonid"]=XBARMOD.."_ButtonID",
};

getfenv()["XBarModData"]["XPetStuffXP"]={
	["loaded"]=true,
};
local XPETSTUFFXPSETUP=false;

function XPetStuffBar_OnLoad()
	--Each bar must catch its own event notifications
	local Class,_;

	-- Nonlocalized class check
	_, Class = UnitClass("player");
	if (Class == "HUNTER") then
		-- For this mod, only hunters have these spells, so only enable if needed
		getfenv()["XBarModData"][XBARMOD]["enabled"]=true;
		XBarModData[XBARMOD]["nbuttons"],XBarModData[XBARMOD]["nchecks"]=XBar_CountSpells(XBARMOD);
		this:RegisterEvent("SPELLS_CHANGED");
		this:RegisterEvent("SPELL_UPDATE_COOLDOWN");
		this:RegisterEvent("PLAYER_ENTERING_WORLD");
		this:RegisterEvent("PLAYER_AURAS_CHANGED");
		this:RegisterEvent("ACTIONBAR_UPDATE_USABLE");
		this:RegisterEvent("UNIT_PET_EXPERIENCE");
		this:RegisterEvent("UNIT_PET");
	else
		this:SetScript("OnUpdate",nil);
		-- Reduces lag
	end

	local i,v;

	for i,v in pairs(getfenv()["XPetStuffBarSpells"]) do
		getfenv()["XBarModData"][XBARMOD]["check"..i+1]=v;
		getfenv()["XBarModData"][XBARMOD]["dcheck"..i+1]=true;
	end
	XBarModData[XBARMOD]["nchecks"]=XBarModData[XBARMOD]["nchecks"]+1;
end

function XPetStuffBar_OnEvent()
	local refreshdb=false;

	-- XBar has built in functionality to update its plugins
	if (event == "SPELLS_CHANGED") then
		XBar_Scale(XBARMOD);
		XBar_Update(XBARMOD);
	elseif (event == "SPELL_UPDATE_COOLDOWN" and getfenv()["XBarPlayerName"]) then
		XBar_UpdateCooldowns(XBARMOD);
	elseif (event == "PLAYER_AURAS_CHANGED") then
		XBar_Update(XBARMOD);
	elseif (event == "PLAYER_ENTERING_WORLD") then
		-- Let XBar know we're here so it can set up our data
		-- Double check just in case XBar hasn't got this yet.
		XBar_BuildPlayerName();
		XBar_RegisterAddon(XBARMOD);
		XBar_Update(XBARMOD);
		XPetStuffXPBar_Setup(self);
		XPetStuffXPBar_UpdateScreen();
	elseif (event == "UNIT_PET_EXPERIENCE") then
		XPetStuffXPBar_Update();
	elseif (event == "UNIT_PET" and arg1=="player") then
		XPetStuffXPBar_Update();
	elseif (event == "ACTIONBAR_UPDATE_USABLE") then
		XBar_UpdateCooldowns(XBARMOD);
	end
end

function XPetStuffBar_ButtonID(id,spellname)
	local newid=id;

	if (not getfenv()["XBarData"][getfenv()["XBarOptionSet"]]["mods"][XBARMOD][spellname]) then
		newid=nil;
	end

	return newid;
end

function XPetStuffBar_OptionCB(option,value)
	if (option=="XPBar") then
		XPetStuffXPBar_UpdateScreen();
	else
		XBar_Update(XBARMOD);
	end
end

function XPetStuffXPBar_Setup()
	if not XPETSTUFFXPSETUP then

		TextStatusBar_Initialize(XPetStuffXPBar);
		SetTextStatusBarText(XPetStuffXPBar, XPetStuffXPBarText);
		XBarFrameDB["XPetStuffXPBar"]={};
		if not XBarData[XBarOptionSet]["mods"]["XPetStuffXP"] then
			XBarData[XBarOptionSet]["mods"]["XPetStuffXP"]=
			{
				["x"]=150,
				["y"]=-130,
				["rp"]="TOPLEFT",
				["pt"]="TOPLEFT",
			};
		end
		XBar_SetPos("XPetStuffXP");
	end
end

function XPetStuffXPBar_Update()
	local currXP, nextXP = GetPetExperience();

	XPetStuffXPBar:SetMinMaxValues(min(0, currXP), nextXP);
	XPetStuffXPBar:SetValue(currXP);
end

function XPetStuffXPBar_UpdateScreen()
	local value=XBarData[XBarOptionSet]["mods"]["XPetStuffBar"]["XPBar"];
	local v;
	
	if value then
		v=2;
	else
		v=1;
	end
	XBar_ShowHide("XPetStuffXP",v);
end
